import { CategoryService } from "./category.service";
import { Request } from "express";
export declare class CategoryController {
    private readonly categoryService;
    private readonly logger;
    constructor(categoryService: CategoryService);
    findActive(lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: any[];
    }>;
    getCategoryListWithServiceCount(lang: "en", req: Request): Promise<{
        status: boolean;
        message: string;
        data: any[];
    }>;
    findOne(id: string, lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/category/category.entity").Category;
    }>;
}
